## isc-dhcp 4.2.2.dfsg.1

=== debian/changelog ===
isc-dhcp (4.2.2.dfsg.1-5+deb70u9) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team.
  * Corrected refcnt loss in option parsing (CVE-2018-5733)
  * Correct buffer overrun in pretty_print_option (CVE-2018-5732)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Mar 2018 19:20:38 +0100

isc-dhcp (4.2.2.dfsg.1-5+deb70u8) wheezy-security; urgency=high

  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications (server, client, or relay) to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jan 2016 21:30:13 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u7) wheezy; urgency=low

  [ Michael Gilbert ]
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 08 Oct 2015 11:55:47 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u6) stable-proposed-updates; urgency=medium

  * Set --with-ldapcrypto to restore openssl support (closes: #692808).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 27 May 2013 20:54:36 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u5) testing-proposed-updates; urgency=medium

  * Use patch instead of quilt for embedded bind patches.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 12 Apr 2013 02:06:54 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u4) testing-proposed-updates; urgency=high

  * Fix cve-2013-2494: issues with regular expression handling in the embedded
    bind library (closes: #704426).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 01 Apr 2013 00:41:48 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u3) testing-proposed-updates; urgency=medium

  * Run exit hooks when "dhclient -1" fails (closes: #486520).
  * Add dhcp6.name-servers and dhcp6.domain-search to the default request
    options in dhclient.conf (closes: #693315).
  * Handle dhclient.conf left behind during a prior lenny->squeeze upgrade,
    upgrade it now to avoid an unnecessary conffile prompt (closes: #698582).
    - Thanks to Gregor Herrmann for the patch.
  * Also, do not copy dhclient.conf from /etc/dhcp3 anymore (closes: #700363).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Feb 2013 20:40:46 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u2) testing-proposed-updates; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2248: dhclient sets a PATH that is influenced by the
    location of the build directory.

 -- Raphael Geissert <geissert@debian.org>  Sun, 14 Oct 2012 15:48:19 -0500

isc-dhcp (4.2.2.dfsg.1-5+deb70u1) testing-proposed-updates; urgency=high

  * Correct multiple security issues (closes: #686174)
    - cve-2012-3570: buffer overflow via large hardware address lengths.
    - cve-2012-3571: denial-of-service via zero-length packets.
    - cve-2012-3954: two potential memory leaks.
    - cve-2012-3955: server abort due to certain lease time changes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Sep 2012 00:26:44 -0400

isc-dhcp (4.2.2.dfsg.1-5) unstable; urgency=medium

  [ Andrew Pollock ]
  * debian/dhclient.conf: send the hostname (closes: #151820) 

  [ Michael Gilbert ]
  * Fix cve-2011-4868: error in DDNS handling with IPv6 (closes: #655746)
  * Fix cve-2011-4539: error in regular expression handling
    (closes: #652259)
  * Make dependencies diff-able
  * Add myself to uploaders
  * Remove all automatically generated files in clean rule
  * Medium urgency for security updates

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 28 Apr 2012 16:00:49 -0400

isc-dhcp (4.2.2.dfsg.1-4) unstable; urgency=low

  * The "Zoe woke up at 4am and I couldn't get back to sleep so I had some
    extra time to work on this" release
  * patch the Makefile for the embedded BIND libraries so that autoconf is run
    so that the modification to configure.in to fix the FTBFS on kFreeBSD
    actually does something useful (closes: #643569)

 -- Andrew Pollock <apollock@debian.org>  Wed, 14 Mar 2012 06:25:28 -0700

isc-dhcp (4.2.2.dfsg.1-3) unstable; urgency=low

  * debian/control: remove transitional packages
  * debian/rules: apply the intent of Pierre Chifflier's patch to enable
    hardening options (closes: #644413)
  * debian/control: also add inetutils-ping to the dependencies for
    isc-dhcp-client on hurd (closes: #648140)
  * Convert to 3.0 (quilt) source format:
    - debian/control: remove build-dep on dpatch
    - debian/rules: stop including dpatch.make
    - debian/rules: remove dpatch-related target dependencies
    - convert patches from dpatch to pure quilt
    - remove debian/README.source
  * debian/rules: cleaned up the target names a bit to reflect the lack of
    patching going on now
  * repack bind.tar.gz in upstream source tarball to patch configure.in for
    FTBFS on kFreeBSD and remove RFCs (closes: #643569, #645760)
  * debian/watch: add dversionmangle to deal with dfsg upstream tarball
  * Updated Dutch debconf template translation (closes: #651396)
  * Added Polish debconf template translation (closes: #659372)
  * Updated Brazilian Portugeuse debconf template translation (closes: #663494)
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 13 Mar 2012 22:04:53 -0700

isc-dhcp (4.2.2-2) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to set CFLAGS, and export CFLAGS (closes:
    #643470)
  * debian/dhclient.conf: revert hostname setting behaviour to something
    equivalent to what upstream ships to avoid surprising people with unwanted
    hostname changes when changing networks (closes: #648676)
  * debian/dhclient-script.kfreebsd: apply patch from Robert Millan to resync
    dhclient-script with FreeBSD version (closes: #645502)
  * debian/control: add inetutils-ping to the dependencies for isc-dhcp-client
    on kfreebsd (closes: #648140)
  * Updated German debconf template translation (closes: #641843)
  * added harding-wrapper to build dependencies and invoke it in debian/rules
    (closes: #611192)


