=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Uploaders:
 Andrew Pollock <apollock@debian.org>,
 Michael Gilbert <mgilbert@debian.org>,
Vcs-Git: git://git.debian.org/pkg-dhcp/isc-dhcp.git
Vcs-Browser: http://git.debian.org/?p=pkg-dhcp/isc-dhcp.git;a=summary
Build-Depends:
 debhelper (>> 7),
 dpkg-dev (>= 1.13.2),
 groff,
 autoconf,
 automake,
 pkg-config,
 po-debconf,
 libssl-dev,
 libldap2-dev,
 hardening-wrapper,
Standards-Version: 3.9.3

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Provides: dhcp3-server
Conflicts: dhcp
Replaces: dhcp3-server
Suggests: isc-dhcp-server-ldap
Description: ISC DHCP server for automatic IP address assignment
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Conflicts: dhcp
Suggests: isc-dhcp-server-ldap
Description: ISC DHCP server for automatic IP address assignment (debug)
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-server
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 isc-dhcp-server (= ${binary:Version}),
Provides: dhcp3-server-ldap
Conflicts: dhcp
Replaces: dhcp3-server-ldap
Enhances: isc-dhcp-server
Description: DHCP server able to use LDAP as backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Section: net
Provides: dhcp3-common
Replaces: dhcp3-common
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
Description: common files used by all the isc-dhcp* packages
 This package contains the files used by all the packages from ISC
 DHCP.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Provides: dhcp3-dev
Replaces: dhcp3-dev
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 OMAPI is an API for accessing and modifying the DHCP server and
 client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 iproute [linux-any],
 inetutils-ping [!linux-any],
Suggests:
 resolvconf,
 avahi-autoipd
Provides:
 dhcp-client,
 dhcp3-client
Conflicts:
 dhcp-client (<< 3.0),
 samba-common (<< 3.0.0beta1-2),
 resolvconf (<= 1.45),
 ifupdown (<< 0.6.8+nmu3)
Replaces: dhcp3-client
Description: ISC DHCP client
 This is the client from the Internet Software Consortium's implementation of
 DHCP. For more information visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Suggests:
 resolvconf,
 avahi-autoipd
Conflicts:
 dhcp-client (<< 3.0),
 samba-common (<< 3.0.0beta1-2)
Description: ISC DHCP client (debugging symbols)
 This is the client from the Internet Software Consortium's implementation of
 DHCP. For more information visit http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-client
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-udeb
Priority: extra
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends}
XC-Package-Type: udeb
Description: ISC DHCP Client for debian-installer
 dhcp-client-udeb is a minimal dhcp package used by the debian-installer.

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Provides: dhcp3-relay
Conflicts: dhcp-relay
Replaces: dhcp3-relay
Description: ISC DHCP relay daemon
 This is the relay from the Internet Software Consortium's implementation of
 DHCP. For more information visit
 http://www.isc.org.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-relay-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Conflicts: dhcp-relay
Description: DHCP relay daemon (debugging symbols)
 This is the relay from the Internet Software Consortium's implementation of
 DHCP. For more information visit
 http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-relay
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.
