## isc-dhcp 4.2.4

=== debian/changelog ===
isc-dhcp (4.2.4-7ubuntu12.13) trusty; urgency=medium

  * dhclient-script.linux: handle empty case also when waiting for ipv6 link
    local DAD. (LP: #1718568)

 -- Dan Streetman <dan.streetman@canonical.com>  Fri, 02 Mar 2018 13:17:36 -0500

isc-dhcp (4.2.4-7ubuntu12.12) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via concurrent TCP sessions
    - debian/patches/CVE-2016-2774.patch: limit number of connections in
      includes/site.h, omapip/listener.c.
    - CVE-2016-2774
  * SECURITY UPDATE: DoS via omapi
    - debian/patches/CVE-2018-573x.patch: fix socket descriptor leak in
      omapip/buffer.c, omapip/message.c.
    - CVE-2017-3144
  * SECURITY UPDATE: buffer overflow in dhclient
    - debian/patches/CVE-2018-573x.patch: check option data size in
      common/options.c.
    - CVE-2018-5732
  * SECURITY UPDATE: reference counter overflow in dhcpd
    - debian/patches/CVE-2018-573x.patch: avoid overflow in
      common/options.c.
    - CVE-2018-5733
  * This package does _not_ contain the changes from 4.2.4-7ubuntu12.11 in
    trusty-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Mar 2018 08:45:46 -0500

isc-dhcp (4.2.4-7ubuntu12.10) trusty; urgency=medium

  * Introduction of a new binary package "isc-dhcp-client-noddns" (LP: #1176046)
    - isc-dhcp-client : no behavioural change from previous version.
    - isc-dhcp-client-noddns : dhclient with DDNS functionality disabled.

    The current functionality in Trusty is to provide DDNS to dhclient by
    default. Note that, this is the opposite in Xenial where dhclient,
    by default, offers no DDNS functionality.

  * Disable tracing and failover.

    The tracing and failover are stricly disabled for the new package
    "isc-dhcp-client-noddns" and doesn't apply to package "isc-dhcp-client".

    In order to successfully build "isc-dhcp-client-noddns" without
    -DNSUPDATE and stay align with upstream Debian git commit [0bbf7c7]
    (closes: #712503) which implies the following:

    - debian/rules : Disable support for failover
      (DHCP Failover is a mechanism whereby two DHCP servers are both configured
      to manage the same pool of addresses so that they can share the load of
      assigning leases for that pool, and provide back-up for each other in case
      of network outages.
      (Define to include Failover Protocol support)

    - debian/rules : Disable support for server activity tracing
      (Server tracing support)

  * CFLAGS configuration change
    - debian/rules : Add backslash '\' characters for CLAGS options :
      "-D_PATH_DHCLIENT_CONF" , "-D_PATH_DHCPD_CONF" , "-D_PATH_DHCLIENT_SCRIPT"
      to avoid compilation errors expression before '/' token is expected at
      compile time.
    - debian/rules : Remove "export CLAGS" line, since it is now passing during
      ./configure in order to control when compiling with or without DDNS
      functionality.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 24 May 2017 08:41:07 -0400

isc-dhcp (4.2.4-7ubuntu12.9) trusty; urgency=medium

  * [4b8251a] DHCPv6: fix socket handling so multiple DHCPv6 local clients will
    successfully get addresses (LP: #1689854)

 -- Dan Streetman <dan.streetman@canonical.com>  Wed, 10 May 2017 12:19:35 -0300

isc-dhcp (4.2.4-7ubuntu12.8) trusty; urgency=medium

  * ipv6: wait for duplicate address detection to finish (LP: #1633479).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Oct 2016 14:31:58 -0400

isc-dhcp (4.2.4-7ubuntu12.7) trusty; urgency=medium

  * Don't assume IPv6 prefix length of 64 (LP: #1609898).
    Pulled from debian commit c347ab8a43587164486ce1f104eedfd638594e59.

 -- Dan Streetman <dan.streetman@canonical.com>  Thu, 04 Aug 2016 13:07:23 -0400

isc-dhcp (4.2.4-7ubuntu12.6) trusty; urgency=medium

  * Fixed missing broadcast flag for Infiniband interfaces (LP: #1529815)
    - added:
      + d/p/dhcp-4.2.4-dhclient-options-changed.patch

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Tue, 07 Jun 2016 15:29:50 +0200

isc-dhcp (4.2.4-7ubuntu12.5) trusty; urgency=medium

  * debian/apparmor-profile.dhclient: Add the attach_disconnected flag to prevent
    disconnected path denials (LP: #1568485).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 15 Apr 2016 14:44:06 +0200

isc-dhcp (4.2.4-7ubuntu12.4) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via incorrect UDP payload length
    - debian/patches/CVE-2015-8605.patch: properly check payload length in
      common/packet.c.
    - CVE-2015-8605

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Jan 2016 07:56:50 -0500

isc-dhcp (4.2.4-7ubuntu12.3) trusty; urgency=medium

  * Replaced broken IB support with working one (LP: #1401141):
    - removed:
      + d/p/infiniband_lpf
      + d/p/infiniband_improved_xid
    - added:
      + d/p/dhcp-4.2.5-lpf-ib.patch
      + d/p/dhcp-4.2.4-improved-xid.patch
      + d/p/dhcp-4.2.2-gpxe-cid.patch
      + d/p/dhcp-4.2.4-improved-xid-correct-byte-order.patch

 -- Rafael David Tinoco (Inaddy) <inaddy@ubuntu.com>  Tue, 02 Jun 2015 14:26:37 +0100

isc-dhcp (4.2.4-7ubuntu12.2) trusty-proposed; urgency=medium

  * debian/patches/dhcp-getifaddrs.patch: use getifaddrs 
    for getting nic addresses rather than /proc/net (LP: #1446767)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 21 Apr 2015 18:10:40 +0000

isc-dhcp (4.2.4-7ubuntu12.1) trusty-proposed; urgency=medium

  * debian/apparmor-profile.dhclient: add 'network inet dgram' and
    'network inet6 dgram' to nm-dhcp-helper and dhclient-script for HWE
    kernels (LP: #1417658)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 30 Mar 2015 12:24:24 -0500

isc-dhcp (4.2.4-7ubuntu12) trusty; urgency=medium

  * apparmor-profile.dhclient: add read for /var/lib/NetworkManager/*lease

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Apr 2014 08:38:02 -0500

isc-dhcp (4.2.4-7ubuntu11) trusty; urgency=medium

  * Fix broken shell syntax...


