=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
-Uploaders:
- Andrew Pollock <apollock@debian.org>,
- Michael Gilbert <mgilbert@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
+Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
 Vcs-Git: git://git.debian.org/pkg-dhcp/isc-dhcp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-dhcp/isc-dhcp.git;a=summary
 Build-Depends:
- debhelper (>> 7),
+ debhelper (>= 7.4.20ubuntu6),
  dpkg-dev (>= 1.13.2),
  groff,
+ quilt,
  autoconf,
  automake,
+ autotools-dev,
  pkg-config,
  po-debconf,
  libssl-dev,
  libldap2-dev,
  hardening-wrapper,
+ libcap-dev,
+ dh-apport,
+ dh-apparmor
 Standards-Version: 3.9.3
 
 Package: isc-dhcp-server
@@ -29,10 +33,11 @@
  debianutils (>= 2.8.2),
  isc-dhcp-common (= ${binary:Version}),
  lsb-base,
+ adduser
 Provides: dhcp3-server
 Conflicts: dhcp
 Replaces: dhcp3-server
-Suggests: isc-dhcp-server-ldap
+Suggests: isc-dhcp-server-ldap, apparmor
 Description: ISC DHCP server for automatic IP address assignment
  This is the server from the Internet Software Consortium's implementation of
  DHCP. For more information, visit http://www.isc.org.
@@ -126,11 +131,12 @@
  ${shlibs:Depends},
  debianutils (>= 2.8.2),
  isc-dhcp-common (= ${binary:Version}),
- iproute [linux-any],
+ iproute2 [linux-any],
  inetutils-ping [!linux-any],
 Suggests:
  resolvconf,
- avahi-autoipd
+ avahi-autoipd,
+ apparmor
 Provides:
  dhcp-client,
  dhcp3-client
@@ -154,6 +160,27 @@
  .
  Extra documentation can be found in the package isc-dhcp-common.
 
+Package: isc-dhcp-client-noddns
+Priority: optional
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ isc-dhcp-client (= ${binary:Version}),
+Enhances: isc-dhcp-client
+Description: Dynamic DNS (DDNS) disabled DHCP client
+ This a Dynamic DNS disabled version of the DHCP client.
+ .
+ Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
+ (actually dhcpd includes much of the functionality of bootpd). It
+ gives client machines "leases" for IP addresses and can
+ automatically set their network configuration. If your machine
+ depends on DHCP (especially likely if it's a workstation on a large
+ network, or a laptop, or attached to a cable modem), keep this or
+ another DHCP client installed.
+ .
+ Extra documentation can be found in the package isc-dhcp-common.
+
 Package: isc-dhcp-client-dbg
 Section: debug
 Priority: extra
