=== debian/rules ===
--- 
+++ 
@@ -30,22 +30,28 @@
 
 CFLAGS += -Wall
 
-CFLAGS += -D_PATH_DHCLIENT_SCRIPT='"/sbin/dhclient-script"'
-CFLAGS += -D_PATH_DHCPD_CONF='"/etc/dhcp/dhcpd.conf"'
-CFLAGS += -D_PATH_DHCLIENT_CONF='"/etc/dhcp/dhclient.conf"'
+CFLAGS += -D_PATH_DHCLIENT_SCRIPT='\"/sbin/dhclient-script\"'
+CFLAGS += -D_PATH_DHCPD_CONF='\"/etc/dhcp/dhcpd.conf\"'
+CFLAGS += -D_PATH_DHCLIENT_CONF='\"/etc/dhcp/dhclient.conf\"'
 CFLAGS += -DNOMINUM
+CFLAGS += -Wno-error=unused-but-set-variable
 
 
 bind-stamp:
 	dh_testdir
 	cd bind && tar xf bind.tar.gz && cd bind-* && \
-	    patch -p1 < ../../debian/bind-patches/cve-2013-2494.patch
+	    QUILT_PATCHES=../../debian/bind-patches quilt push -a
+	cd bind/bind-* && \
+	for f in $$(find -name config.guess); do \
+	  cp /usr/share/misc/config.* $$(dirname $$f)/.; \
+	done
 	touch $@
 
 build-ldap-stamp: bind-stamp
 	dh_testdir
 
-	./configure \
+	test ! -f Makefile || $(MAKE) distclean
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" \
 		--prefix=/usr \
 		--sysconfdir=/etc/dhcp \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
@@ -54,7 +60,7 @@
 		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
 		--with-ldap \
 		--with-ldapcrypto \
-		
+		--enable-paranoia
 	$(MAKE) $(CROSS)
 
 	mkdir -p isc-dhcp-server-ldap
@@ -64,7 +70,7 @@
 	
 build: build-arch build-indep
 
-build-arch: build-ldap-stamp build-non-ldap-stamp build-arch-stamp
+build-arch: build-non-ddns-stamp build-ldap-stamp build-non-ldap-stamp build-arch-stamp
 build-indep:
 
 build-arch-stamp:
@@ -74,22 +80,45 @@
 build-non-ldap-stamp: bind-stamp
 	dh_testdir
 
-	./configure \
+	test ! -f Makefile || $(MAKE) distclean
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" \
 		--prefix=/usr \
 		--sysconfdir=/etc/dhcp \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
 		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
 		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
-		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases
-	
+		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
+		--enable-paranoia
 	$(MAKE) $(CROSS)
 
 	touch $@
 
+# ddns-disabled build
+build-non-ddns-stamp: bind-stamp
+	dh_testdir
+
+	test -f Makefile && $(MAKE) distclean || true
+	./configure CFLAGS="$(CFLAGS)" \
+		--disable-failover \
+		--disable-tracing \
+		--prefix=/usr \
+		--sysconfdir=/etc/dhcp \
+                --with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
+                --with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
+                --with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
+                --with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
+                --enable-paranoia
+	$(MAKE) $(CROSS)
+
+	mkdir -p isc-dhcp-client-noddns
+	mv client/dhclient isc-dhcp-client-noddns/
+
+	touch $@
+
 clean:
 	dh_testdir
 	rm -f build*stamp install*stamp bind-stamp
-	rm -Rf isc-dhcp-server-ldap
+	rm -rf isc-dhcp-server-ldap
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f Makefile client/Makefile config.log config.status
@@ -100,7 +129,7 @@
 	dh_clean
 
 install: install-stamp
-install-stamp: build-ldap-stamp build-non-ldap-stamp
+install-stamp: build-non-ddns-stamp build-ldap-stamp build-non-ldap-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -110,6 +139,12 @@
 	$(MAKE) install DESTDIR=$(DESTDIR)
 
 	mkdir -p $(DESTDIR)/etc/dhcp
+
+	# Install apparmor profile
+	mkdir -p $(DESTDIR)/etc/apparmor.d
+	mkdir -p $(DESTDIR)/etc/apparmor.d/dhcpd.d
+	$(INSTALL_FILE) debian/apparmor-profile.dhcpd $(DESTDIR)/etc/apparmor.d/usr.sbin.dhcpd
+	$(INSTALL_FILE) debian/apparmor-profile.dhclient $(DESTDIR)/etc/apparmor.d/sbin.dhclient
 
 	# Install dhcp's conffile.
 	$(INSTALL_FILE) -m 644 debian/dhcpd.conf $(DESTDIR)/etc/dhcp
@@ -164,10 +199,15 @@
 	dh_installdebconf
 	dh_installdocs -A debian/README.Debian -X doc/ja_JP.eucJP
 	dh_installexamples -a
-	dh_installinit -pisc-dhcp-server --error-handler=init_script_error_handler
-	dh_installinit -a -Nisc-dhcp-server
+	dh_installinit -pisc-dhcp-server --name isc-dhcp-server
+	dh_installinit -pisc-dhcp-server --name isc-dhcp-server6
+	dh_installinit -pisc-dhcp-relay --name isc-dhcp-relay
+	dh_installinit -pisc-dhcp-relay --name isc-dhcp-relay6
 	dh_installchangelogs
 	dh_install -pisc-dhcp-server-ldap	
+	dh_apparmor -pisc-dhcp-client --profile-name=sbin.dhclient
+	dh_apparmor -pisc-dhcp-server --profile-name=usr.sbin.dhcpd
+	dh_apport -a
 	dh_strip -pisc-dhcp-server-ldap 
 	dh_strip -pisc-dhcp-server --dbg-package=isc-dhcp-server-dbg
 	dh_strip -pisc-dhcp-relay --dbg-package=isc-dhcp-relay-dbg
