=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+// \
ftp://ftp.isc.org/isc/dhcp/dhcp-(.*)\.tar\.gz debian uupdate
